Reference
/- Start receipt export job
Get receipt export job status
Get a signed download URL for an expense receipt
Start receipt export job
Forwards the receipt export request to the expenses service and returns a background job id.
Security
oauth2ClientCredentials(Required scopes: expenses:write)
Optional compatibility field from the dashboard payload. The middleware overrides this with the trusted org_wallet_ref header.
Example:"1"
Optional compatibility field from the dashboard payload. The middleware always forwards isExport=true for this endpoint.
Example:true
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/expenses/export-receipts
- Productionhttps://api.boyahq.com/v2/expenses/export-receipts
- Sandboxhttps://sandbox.api.boyahq.com/v2/expenses/export-receipts
curl -i -X POST \
https://developer.boyahq.com/_mock/v2/openapi/expenses/export-receipts \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"fromdate": "2026-01-01",
"todate": "2026-12-31",
"accountref": "1",
"page": 1,
"limit": 5000,
"order": "desc",
"isExport": true,
"employee": "employee-123",
"team": "team-123",
"status": "pending",
"subcategory": "sub-123",
"categorySubcategories": {
"data": [
"cat-1",
"cat-2"
]
},
"payment_status": "paid",
"tags": {
"data": [
"cat-1",
"cat-2"
]
},
"level": 2,
"amount_filter_type": "greater_than",
"amount_value": 1000,
"amount_min": 100,
"amount_max": 5000,
"customer": "customer-123",
"search": "hotel"
}'